<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTML Tables and Forms</title>
</head>
<body>
	<div id="header">
		<h2>HTML Entities</h2>
	<p><em>Reserve characters in HTML (e.g. &lt; or &gt;characters that can mix up with HTML code). </em></p>

	</div>
	
<div id="main">
<!-- Defines or creates a HTML Table -->
<table border="1">
	<!-- Used to group table header content -->
	<thead>
		<!-- Defines a table row -->
		<tr>
			<!-- Table Headings -->
			<th colspan="2">Entity</th>
			<th>Description</th>
		</tr>

	</thead>
<!-- Use to group table body -->
	<tbody>
		<!-- row 1 for less than -->
		<tr>
			<!--Defines a table data element -->
			<td>&lt;</td>
			<td>lt</td>
			<td>Less than</td>
		</tr>
		<!-- row 2 for greater than -->
		<tr>
			<td>&gt;</td>
			<td>gt</td>
			<td>Greater than</td>

		</tr>
		<!-- row 3 for peso sign -->
		<tr>
			<td>&#8369;</td>
			<td>#8369</td>
			<td>Peso sign</td>

		</tr>
		<!-- row 4 for amp -->
		<tr>
			<td>&amp;</td>
			<td>amp</td>
			<td>ampersand</td>

		</tr>
		<!-- row 5 for double quotation mark -->
		<tr>
			<td>&quot;</td>
			<td>quot</td>
			<td>double quotation mark</td>

		</tr>
		<!-- row 6 for single quotation mark -->
		<tr>
			<td>&apos;</td>
			<td>apos</td>
			<td>single quotation mark</td>

		</tr>
		<!-- row 7 for Lower Tilde -->
		<tr>
			<td>&ntilde;</td>
			<td>ntilde</td>
			<td>Lower Tilde</td>

		</tr>
		<!-- row 8 for Upper Tilde -->
		<tr>
			<td>&Ntilde;</td>
			<td>Ntilde</td>
			<td>Uptilde</td>

		</tr>
	</tbody>

	<tfoot>
		
		<tr>
			<th colspan="3">List of HTML Entities</th>

		</tr>

	</tfoot>




</table>
</div>
<hr>

<div id="section">
	<h2>HTML Forms</h2>
	<p><em>Inputs elements that make up a form</em></p>


	<!-- creates a HTML form to capture user input -->
	<form action="https://google.com">
		<!-- Creates a label and allows for input field section when clicked -->
		<label for="fullName">Full Name:</label><br>
		<input type="text" name="fullName" id="fullName" required><br>

		<label for="birthDate">Birth date:</label><br>
		<input type="date" name="birthDate" id="birthDate"><br>

		<label for="age">Age</label><br>
		<input type="number" name="age" id="age" required><br>

		<label for="gender">Gender</label><br>
		<!-- Creates a Dropdown menu -->
		<select name="gender" id="gender">
				<!-- creates option for dropdown -->
				<option>Please Select Below</option>
				<option value="Male">Male</option>
				<option value="Female">Female</option>
				<option value="others">Prefer not to specify</option>
		</select><br><br>


			<!-- Creates radio button- relational button -->
				<label>New User:</label><br>
				<input type="radio" name="userType" id="newUser" value="yes">
				<label for="userType">Yes</label><br>
				 
				 <input type="radio" name="userType" id="oldUser" value="No">
				 <label for="userType">No</label><br>

				 <label for="notes">Notes:</label><br>
				 <textarea name="notes" id="notes"></textarea><br>

				 <label>Role:</label><br>

				 <input type="checkbox" name="role1" id="role1" value="developer">
				 <label for="role1">Developer</label><br>

				  <input type="checkbox" name="role2" id="role2" value="Student">
				 <label for="role2">Student</label><br>

				 <input type="checkbox" name="role3" id="role3" value="manager">
				 <label for="role3">Manager</label><br>

				


		<br><button type="submit">Submit</button><br>
		<button type="reset">Reset</button>

	</form>
</div>



</body>
</html>